class Pettanr.WritingFormat extends Peta.Template
  url: '/writing_formats/'
  
  @singular: () ->
    'WritingFormat'
  
  @plural: () ->
    'WritingFormats'
  
  defaults: {
    id: null
  } 
  
  system_picture: () ->
    new Pettanr.Cache.Retriever(Pettanr.SystemPicture, @get('system_picture_id'))
  
  symbol_option: () ->
    retriever = @system_picture()
    @listenTo(retriever, 'retrieve', @retrieve_system_picture)
    retriever.retrieve()
  
  retrieve_system_picture: (item) -> 
    @trigger('ready:symbol', item.tmb_opt_img_tag())
  
  initialize: (attr = {}, options = {}) ->
    super(attr, options)
    if @id
      @url = @url + @id
  
