require_dependency "locmare/form/field/label/label"
module Locmare
  module FormModule
    module FieldModule
      class LabelFactory
        include LabelModule
        @@types = {
          'default' => Default, 'none' => None
        }
        def self.factory field, my_manifest
          type = my_manifest.type
          my_class = @@types[type]
          raise "undefined class for local view forms > #{field.form_name} > fields > #{field.field_name} > label > #{type}\n" unless my_class
          my_class.new(field, my_manifest)
        end
        
      end
      
    end
  end
end
