module Peta
  class Owner < Item
    self.abstract_class = true
    # ClassMethods
    
    def self.edit owner_id, operators
      owner = self.find owner_id, self.show_opt
      raise ActiveRecord::Forbidden unless owner.own?(operators)
      owner
    end
    
    #InstanceMethods
    
    def overwrite operators
      self.user_id = operators.user.id
    end
    
    def own? operators
      return false unless operators.user
      self.user_id == operators.user.id
    end
    
  end
end

