class SystemPicturesController < ApplicationController
  if Manifest.manifest.magic_numbers['run_mode'] == 0
    before_filter :authenticate_user, :only => []
    before_filter :authenticate_author, :only => []
  else
    before_filter :authenticate_resource_reader, :only => [:index, :show]
    before_filter :authenticate_user, :only => []
    before_filter :authenticate_author, :only => []
  end
  before_filter :authenticate_admin!, :only => []
  
  def index
    filer_list
  end
  
  def show_html_format format
    format.html {
    }
  end
  
  def show
    set_show
    respond_to do |format|
      opt = {:type => @item.mime_type, :disposition=>"inline"}
      format.png { send_data(@item.restore, opt ) }
      format.gif { send_data(@item.restore, opt ) }
      format.jpeg { send_data(@item.restore, opt ) }
      show_html_format format
      show_prof_format format
      show_json_format format
    end
  end
  
  def count
    list_count
  end
  
end
