class CreateFolders < ActiveRecord::Migration
  def change
    create_table :folders do |t|
      t.string :name, :null => false
      t.string :controller_name
      t.string :action_name
      t.integer :category_id, :null => false, :default => 0
      t.integer :t, :null => false, :default => 0
      t.integer :parent_id
      t.integer :lft
      t.integer :rgt
      t.integer :depth # this is optional.

      t.timestamps
    end
    add_index :folders , [:rgt]
  end
end
