module LocalManifest
  module BucketModule
    class FormFieldName < ManifestBase::Names
      attr :form_names, :field_name, :form_name
      
      def set_default
        super
      end
      
      def init
        super
        @form_names = @name.split '.'
        @field_name = @form_names.pop
        @form_name = @form_names.join '.'
      end
      
      def bucket_name
        @parent.name
      end
      
      def bucket_manifest
        @parent.manifest
      end
      
    end
  end
end
